Subject: Re: [rtcweb] Eric Rescorla's Discuss on draft-ietf-rtcweb-overview-18: (with DISCUSS and COMMENT)

From: Sean Turner <[email-masked]>
Date: Fri, 2 Jun 2017 11:18:37 -0400

> On Apr 22, 2017, at 07:16, Eric Rescorla <[email-masked]> wrote:
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> This document seems rather long on philosophy (justifying MTI,
> the freed to innovate material in S 4.) I would remove all this.

I can get on board with the less is more philosophy but here I think it’s just Harald building up the narrative.  Because it’s not really doing harm and I’m afraid of going too far in the other direction and playing bring me rock, I’m inclined to just leave it.

> S 2.4.
> Why do you have two terminology sections? I would merge them.

Yes - we should merge them.  Here’s a PR:
https://github.com/rtcweb-wg/rtcweb-overview/pull/43/files

> S 3.
> The diagrams here seem to assume a federation model that I
> generally don't see used with WebRTC. So, for instance,
> the on-the-wire protocols arrow on page 9. Who does that?
> This also applies to "a commonly imagined model"
> 
> I would say HTTP(S) in this diagram.

https://github.com/rtcweb-wg/rtcweb-overview/pull/39/files

> You should probably list DTLS, SCTP, and SDP in this section. It's
> not like we haven't decided we need them.

Note SCTP is already listed in data framing, but here’s a PR:
https://github.com/rtcweb-wg/rtcweb-overview/pull/37

> "The functionality groups that are needed in the browser can be
> specified, more or less from the bottom up, as:
> ...
> Connection management: ... SIP and Jingle/XMPP belong in this
> category."
> 
> As far as I know, nothing in this layer is specified in WebRTC
> or implemented in the browser, so this doesn't seem to make
> sense.

Not sure what to do about these so suggestions from the WG are welcome.

spt